<div class="title">{{ selectItem.title }}</div>
<div class="select">
  <div
    class="select-title"
    [ngClass]="{ open: isOpen }"
    (click)="toggleDropdown()"
  >
    <span *ngIf="selectItem.title !== 'Country'">{{ current }}</span>
    <span *ngIf="selectItem.title === 'Country'">
      <img src="../../../assets/usa.png" class="flag" /> {{ current }}</span
    >
    <div class="dropdown-icon">▶</div>
  </div>
  <div
    class="option-wrapper"
    *ngIf="selectItem.dataList"
    [ngClass]="{ open: isOpen }"
  >
    <div
      class="select-option"
      *ngFor="let item of selectItem.dataList"
      (click)="chooseItem($event.target.innerText)"
    >
      <span *ngIf="selectItem.title !== 'Country'"> {{ item.label }}</span>
      <span *ngIf="selectItem.title === 'Country'">
        <img src="../../../assets/usa.png" class="flag" />
        {{ item.label }}</span
      >
    </div>
  </div>
</div>
